<ion-content>
  <div class="container header">
    <h1 class="item">Mes produits</h1>
    <div class="searchbar">
      <ion-searchbar placeholder="Que cherches-tu ?"></ion-searchbar>
    </div>
    <hr>
  </div>

  <div class="container flex chips-scroll">
    <div class="flex-scroll">

      <div class="info-chip scroll-item container-flex sm-space">
        <p class="small-text">Afficher tous les produits</p>
        <img src="assets/icon/check.svg" alt="check" class="chip-check">
      </div>

      <div class="info-chip scroll-item container-flex sm-space inactive">
        <p class="small-text">Produits épuisés</p>
        <img src="assets/icon/check.svg" alt="check" class="chip-check">
      </div>
      <div class="info-chip scroll-item container-flex sm-space inactive">
        <p class="small-text">Produits en commande</p>
        <img src="assets/icon/check.svg" alt="check" class="chip-check">
      </div>
      <div class="info-chip scroll-item container-flex sm-space inactive">
        <p class="small-text">Légumes</p>
        <img src="assets/icon/check.svg" alt="check" class="chip-check">
      </div>
    </div>
  </div>

  <div class="products bottom-height"  *ngIf="data">
    <div class="container flex lg-space">
      <h2><strong>{{count}}</strong> Produits</h2>
      <div class="container-flex">
        <div class="item ">
          <a href="/ajouter-produit">
            <img src="assets/img/add-pic.svg" alt="ajouter un produit" class="img">
          </a>
        </div>

        <div *ngFor="let product of products" class="item" (click)="getProductDetail(product.id)">
          <div class="img-container">
            <img src="{{product.photo}}" class="img">
          </div>
          <div class="stock-status">
            <div class="label mini-text">Statut du stock: {{product.stock}} {{product.unity}}</div>
          </div>
          <div class="label product-name">{{product.name}}</div>
          <div class="container-flex label type-price">
            <div class="item mini-text">{{product.unity}}</div>
            <div class="item small-text"><strong>{{product.price}} CHF</strong></div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Skeleton screen -->
<div *ngIf="!data" class="skeleton container flex lg-space ">
  <ion-list>
    <ion-label>
      <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
    </ion-label>

    <div class="container-flex sm-space">
      <ion-item lines="none" class="item" style="height: 145px">
        <ion-thumbnail class="skeleton-item" slot="start">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>
      <ion-item lines="none" class="item">
        <ion-thumbnail class="skeleton-item" slot="start">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>
    </div>
    <div class="container-flex sm-space">
      <ion-item lines="none" class="item">
        <ion-thumbnail class="skeleton-item" slot="start">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>
      <ion-item lines="none" class="item">
        <ion-thumbnail class="skeleton-item" slot="start">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>
    </div>
    <div class="container-flex sm-space">
      <ion-item lines="none" class="item">
        <ion-thumbnail class="skeleton-item" slot="start">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>
      <ion-item lines="none" class="item">
        <ion-thumbnail class="skeleton-item" slot="start">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>
    </div>
  </ion-list>
</div>


  <div class="footer">
    <ion-tabs>
      <ion-tab-bar slot="bottom" position="sticky">
        <a href="/homepage-agriculteur-full" class="menu-link">
          <ion-tab-button>
            <ion-icon name="home" class="tab-inactive"></ion-icon>
            <ion-label>Home</ion-label>
          </ion-tab-button>
        </a>
        <a href="/myproducts" class="menu-link">
          <ion-tab-button>
            <ion-icon name="nutrition" class="icon-active"></ion-icon>
            <ion-label class="label-active">Produits</ion-label>
          </ion-tab-button>
        </a>
        <a href="/myorders"  class="menu-link">
          <ion-tab-button>
            <ion-icon name="cart" class="tab-inactive"></ion-icon>
            <ion-label>Commandes</ion-label>
            <ion-badge color="danger">0</ion-badge>
          </ion-tab-button>
        </a>
        <a href="/profil-agriculteur" class="menu-link">
          <ion-tab-button>
            <ion-icon name="person" class="tab-inactive"></ion-icon>
            <ion-label>Profil</ion-label>
          </ion-tab-button>
        </a>
      </ion-tab-bar>
    </ion-tabs>
  </div>


</ion-content>
